Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.model.internal.project.installer
Class NewPluginProjectWizard

    java.lang.Object
      org.eclipse.jface.wizard.Wizard
          org.eclipse.emf.common.ui.wizard.AbstractExampleInstallerWizard
              org.eclipse.emf.common.ui.wizard.ExampleInstallerWizard
                  org.eclipse.emf.ecp.view.model.internal.project.installer.NewPluginProjectWizard

All Implemented Interfaces:
  org.eclipse.core.runtime.IExecutableExtension, org.eclipse.jface.window.IShellProvider, org.eclipse.jface.wizard.IWizard, org.eclipse.ui.INewWizard, org.eclipse.ui.IWorkbenchWizard

    public class NewPluginProjectWizard

extends org.eclipse.emf.common.ui.wizard.ExampleInstallerWizard

Author:
  Alexandra Buzila

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.ui.wizard.AbstractExampleInstallerWizard
`org.eclipse.emf.common.ui.wizard.AbstractExampleInstallerWizard.FileToOpen, org.eclipse.emf.common.ui.wizard.AbstractExampleInstallerWizard.ProjectDescriptor, org.eclipse.emf.common.ui.wizard.AbstractExampleInstallerWizard.ProjectPage`

Field Summary
`static List<String>` | `FILE_EXTENSIONS` The supported extensions for created files.

Fields inherited from class org.eclipse.jface.wizard.Wizard
`DEFAULT_IMAGE`

Constructor Summary
`NewPluginProjectWizard()`

Method Summary
`void` | `addPages()`
`boolean` | `canFinish()`
`org.eclipse.jface.wizard.IWizardPage` | `getNextPage(org.eclipse.jface.wizard.IWizardPage page)`
`org.eclipse.jface.wizard.IWizardPage` | `getPreviousPage(org.eclipse.jface.wizard.IWizardPage page)`
`static IDEViewModelRegistry` | `getViewModelRegistry()` Return the `IDEViewModelRegistry`.
`String` | `getWindowTitle()`
`void` | `init(org.eclipse.ui.IWorkbench workbench, org.eclipse.jface.viewers.IStructuredSelection selection)`
`boolean` | `performFinish()`
`void` | `setSelectedContainer(Object selectedContainer)`
`void` | `setSelection(org.eclipse.jface.viewers.IStructuredSelection selection)`
`void` | `setWorkbench(org.eclipse.ui.IWorkbench workbench)`

Methods inherited from class org.eclipse.emf.common.ui.wizard.ExampleInstallerWizard
`setInitializationData`

Methods inherited from class org.eclipse.emf.common.ui.wizard.AbstractExampleInstallerWizard
`dispose`

Methods inherited from class org.eclipse.jface.wizard.Wizard
`addPage, createPageControls, getContainer, getDefaultPageImage, getDialogSettings, getPage, getPageCount, getPages, getShell, getStartingPage, getTitleBarColor, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.wizard.IWizard
`createPageControls, getContainer, getDefaultPageImage, getDialogSettings, getPage, getPageCount, getPages, getStartingPage, getTitleBarColor, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer`

Methods inherited from interface org.eclipse.jface.window.IShellProvider
`getShell`

Field Detail

### FILE_EXTENSIONS

    public static final List<String> FILE_EXTENSIONS

  The supported extensions for created files.

Constructor Detail

### NewPluginProjectWizard

    public NewPluginProjectWizard()

Method Detail

### setSelectedContainer

    public void setSelectedContainer(Object selectedContainer)

  Parameters:
    `selectedContainer` - the selectedContainer to set

### init

    public void init(org.eclipse.ui.IWorkbench workbench,
                     org.eclipse.jface.viewers.IStructuredSelection selection)

  Specified by:
    `init` in interface `org.eclipse.ui.IWorkbenchWizard`
  Overrides:
    `init` in class `org.eclipse.emf.common.ui.wizard.AbstractExampleInstallerWizard`

### setWorkbench

    public void setWorkbench(org.eclipse.ui.IWorkbench workbench)

  Parameters:
    `workbench` - the workbench to set

### getWindowTitle

    public String getWindowTitle()

  Specified by:
    `getWindowTitle` in interface `org.eclipse.jface.wizard.IWizard`
  Overrides:
    `getWindowTitle` in class `org.eclipse.jface.wizard.Wizard`

### addPages

    public void addPages()

  Specified by:
    `addPages` in interface `org.eclipse.jface.wizard.IWizard`
  Overrides:
    `addPages` in class `org.eclipse.emf.common.ui.wizard.AbstractExampleInstallerWizard`

### getNextPage

    public org.eclipse.jface.wizard.IWizardPage getNextPage(org.eclipse.jface.wizard.IWizardPage page)

  Specified by:
    `getNextPage` in interface `org.eclipse.jface.wizard.IWizard`
  Overrides:
    `getNextPage` in class `org.eclipse.jface.wizard.Wizard`

### getPreviousPage

    public org.eclipse.jface.wizard.IWizardPage getPreviousPage(org.eclipse.jface.wizard.IWizardPage page)

  Specified by:
    `getPreviousPage` in interface `org.eclipse.jface.wizard.IWizard`
  Overrides:
    `getPreviousPage` in class `org.eclipse.jface.wizard.Wizard`
  See Also:
    `Wizard.getPreviousPage(org.eclipse.jface.wizard.IWizardPage)`

### canFinish

    public boolean canFinish()

  Specified by:
    `canFinish` in interface `org.eclipse.jface.wizard.IWizard`
  Overrides:
    `canFinish` in class `org.eclipse.jface.wizard.Wizard`

### performFinish

    public boolean performFinish()

  Specified by:
    `performFinish` in interface `org.eclipse.jface.wizard.IWizard`
  Overrides:
    `performFinish` in class `org.eclipse.emf.common.ui.wizard.AbstractExampleInstallerWizard`

### setSelection

    public void setSelection(org.eclipse.jface.viewers.IStructuredSelection selection)

  Parameters:
    `selection` - the selection to set

### getViewModelRegistry

    public static IDEViewModelRegistry getViewModelRegistry()

  Return the `IDEViewModelRegistry`.

  Returns:
    the `IDEViewModelRegistry`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.